local A1, A2 = 727595, 798405  -- 5^17=D20*A1+A2
local D20, D40 = 1048576, 1099511627776  -- 2^20, 2^40
local X1, X2 = 0, 1
function rand()
    local U = X2*A2
    local V = (X1*A2 + X2*A1) % D20
    V = (V*D20 + U) % D40
    X1 = math.floor(V/D20)
    X2 = V - X1*D20
    return V/D40
end

function GravityProcess(this)
	if this:Physics(this.X,this.Y+1+this.SpeedY)==0 then
		this.SpeedY = this.SpeedY + 1
        if this.SpeedY >= 3 then
            this.SpeedY = 3
			onGround = false
        end
    else
        this.Y = this.Y - 1
			
			if this.SpeedY <= 2 and this.SpeedY >= -2 then 
				this.SpeedX = 0
				this.SpeedY = 0
			else
				this.SpeedY = this.bounce
				this.bounce = this.bounce + 2
			end
			onGround = true
        end
end

function main(self)
	local claw = GetClaw()
    if self.State == 0 then
		self:SetImage("GAME_HEALTH_BREADWATER")
        self.State = 1
        self.AttackRect = {-10,-10,10,10}
		self.MoveRect = {-10,-10,10,10}
		self.bounce = -10
		self.SpeedY = -5
        self.AttackTypeFlags = ObjectType.Player
        self.anipow = CreateObject {x=self.X, y=self.Y, z=self.Z, logic="AniCycle", image="GAME_GLITTER"}
		
	else
		self.PhysicsType = 8
		--if math.fmod(GetTime(),4)<=3 then
		GravityProcess(self)
		--end
		
		
		self.anipow.X = self.X
		self.anipow.Y = self.Y
    end
	
end
function attack(self)
	
	local claw = GetClaw()
	PlaySound("GAME_FOODITEM")
	claw.Health = claw.Health + 5
	self:Destroy()
	self.anipow:Destroy()
end
